html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -40px;
    padding: 0 0 40px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 40px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 10px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    /*padding: 15px;*/
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.filterable {
    margin-top: 15px;
}
.filterable .panel-heading .pull-right {
    /*margin-top: 8px;*/
}
.filterable .filters input[disabled] {
    background-color: transparent;
    border: none;
    cursor: auto;
    box-shadow: none;
    padding: 0;
    height: auto;
}
.filterable .filters input[disabled]::-webkit-input-placeholder {
    color: #333;
}
.filterable .filters input[disabled]::-moz-placeholder {
    color: #333;
}
.filterable .filters input[disabled]:-ms-input-placeholder {
    color: #333;
}
.bootstrap-select>.dropdown-toggle.bs-placeholder {
    color: #fff;
}
.slider.slider-horizontal {
    width: 100px;
}
.property_line input[disabled] {
    background-color: transparent;
    border: none;
    cursor: auto;
    box-shadow: none;
    padding: 0;
    height: auto;
    margin-top: 7px;
    margin-left: 10px;
}

.property_line.changed td input{
   color:red;
}
.property_line.for_create {
    display: none;
}

/*Tsynik 20171029*/
.material-switch > input[type="checkbox"] {
    display: none;
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative;
    width: 40px;
}

.material-switch > label::before {
    background: rgb(0, 0, 0);
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    content: '';
    height: 16px;
    margin-top: -8px;
    position:absolute;
    opacity: 0.3;
    transition: all 0.4s ease-in-out;
    width: 40px;
}
.material-switch > label::after {
    background: rgb(255, 255, 255);
    border-radius: 16px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
    content: '';
    height: 24px;
    left: -4px;
    margin-top: -8px;
    position: absolute;
    top: -4px;
    transition: all 0.3s ease-in-out;
    width: 24px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}
.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}
/*Tsynik 20171029*/

.snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #333; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 99999; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
.snackbar.show {
    visibility: visible; /* Show the snackbar */

    /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}
.panel-title {
    display: inline-block;
}
.panel-primary {
    margin-top: 5px;
}
.filtarable_table {
    height:349px; overflow: auto;
}
/*
.filtarable_table table thead {
    width: 97%;
}
.filtarable_body {
    height:300px;
    overflow-y: auto;
    width: 100%;
}
.filtarable_table table thead, .filtarable_table table tbody, .filtarable_table table tr, .filtarable_table table td, .filtarable_table table th{
    display: block;
}
.filtarable_table table tbody td, .filtarable_table table thead > tr> th {
    float: left;
    border-bottom-width: 0;
}*/

.filterable_out {
    height: 400px;
}

.navbar-brand {
    display:        inline;
    color:          red;
    font-family:    'Kaushan Script', cursive;
    font-size:      2.2em;
}
.collapse {
    position: inherit;
}
.navbar .nav > li > form {
    margin-bottom: 0;
    font-family: 'Kaushan Script', cursive;
}
.navbar .nav > li > form > button {
    font-family: 'Kaushan Script', cursive;
}
.navbar .nav > li  {
    margin-top: 7px;
    font-family: 'Kaushan Script', cursive;
}
#show_all_contacts_div, #show_all_deals_div {
    color: lightcoral;
}
#show_all_contacts_link, #show_all_deals_link {
    color: white;
}

.phone_fld.has_error {
    color: red;
    border-color: red;
}
.change_fld_change {
    display: none;
}
.table-danger{
    background-color: lightcoral;
}